Config/Carousels API

Endpoints para carousels (configuracion)

Crea un carousel

POST /internal/admin/config/carousels

Crea un carousel.

Parameters

Name Description
section seccion en la que se encuentra el carousel
name Nombre a ser seteado en las imagenes
link Link para redirigir
mobile320 imagen
mobile480 imagen
tablet768 imagen
tablet1024 imagen
desktop1280 imagen

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

POST /internal/admin/config/carousels

Body

{"section":"kriptoservices::home","name":"test imagen","link":null,"mobile320":{"original_filename":"test.jpg","tempfile":"#\u003cFile:0x00007f937204c218\u003e","content_type":"text/plain"},"mobile480":{"original_filename":"test.jpg","tempfile":"#\u003cFile:0x00007f937204c218\u003e","content_type":"text/plain"},"tablet768":{"original_filename":"test.jpg","tempfile":"#\u003cFile:0x00007f937204c218\u003e","content_type":"text/plain"},"tablet1024":{"original_filename":"test.jpg","tempfile":"#\u003cFile:0x00007f937204c218\u003e","content_type":"text/plain"},"desktop1280":{"original_filename":"test.jpg","tempfile":"#\u003cFile:0x00007f937204c218\u003e","content_type":"text/plain"}}

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"a9521478cf5b9bd8b2db00adcd3e5638"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: fc9890ca-58e8-408f-960e-dd880cfbf0a3
X-Runtime: 0.032093
Vary: Origin
Content-Length: 528

Status

200 OK

Body

{
  "data": {
    "id": 1,
    "section": "kriptoservices::home",
    "active": true,
    "link": null,
    "created_at": "2023-03-30T00:50:44.663Z",
    "updated_at": "2023-03-30T00:50:44.663Z",
    "order": null,
    "mobile320": "https://public-kriptonmarket.s3.amazonaws.com/mobile.png",
    "mobile480": "https://public-kriptonmarket.s3.amazonaws.com/mobile.png",
    "tablet768": "https://public-kriptonmarket.s3.amazonaws.com/mobile.png",
    "tablet1024": "https://public-kriptonmarket.s3.amazonaws.com/tablet.png",
    "desktop1280": "https://public-kriptonmarket.s3.amazonaws.com/desktop.png"
  }
}